Package de.gebit.integrity.ui.internal

## Class DSLActivator

- java.lang.Object
- - org.eclipse.core.runtime.Plugin
  - - org.eclipse.ui.plugin.AbstractUIPlugin
    - - de.gebit.integrity.ui.internal.DSLActivator

- All Implemented Interfaces:
    `org.osgi.framework.BundleActivator`

      public class DSLActivator
      extends org.eclipse.ui.plugin.AbstractUIPlugin

  This class was generated. Customizations should only happen in a newly introduced subclass.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `DE_GEBIT_INTEGRITY_DSL` |

    - ### Fields inherited from class org.eclipse.core.runtime.Plugin

      `PLUGIN_PREFERENCE_SCOPE, PREFERENCES_DEFAULT_OVERRIDE_BASE_NAME, PREFERENCES_DEFAULT_OVERRIDE_FILE_NAME`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DSLActivator()` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected com.google.inject.Injector` | `createInjector​(String language)` |
    `com.google.inject.Injector` | `getInjector​(String language)` |
    `static DSLActivator` | `getInstance()` |
    `protected com.google.inject.Module` | `getRuntimeModule​(String grammar)` |
    `protected com.google.inject.Module` | `getSharedStateModule()` |
    `protected com.google.inject.Module` | `getUiModule​(String grammar)` |
    `void` | `start​(org.osgi.framework.BundleContext context)` |
    `void` | `stop​(org.osgi.framework.BundleContext context)` |

    - ### Methods inherited from class org.eclipse.ui.plugin.AbstractUIPlugin

      `createImageRegistry, getDialogSettings, getImageRegistry, getPreferenceStore, getWorkbench, imageDescriptorFromPlugin, initializeDefaultPluginPreferences, initializeDefaultPreferences, initializeImageRegistry, loadDialogSettings, loadPreferenceStore, refreshPluginActions, saveDialogSettings, savePreferenceStore, shutdown, startup`

    - ### Methods inherited from class org.eclipse.core.runtime.Plugin

      `find, find, getBundle, getLog, getPluginPreferences, getStateLocation, internalInitializeDefaultPluginPreferences, isDebugging, openStream, openStream, savePluginPreferences, setDebugging, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### DE_GEBIT_INTEGRITY_DSL

          public static final String DE_GEBIT_INTEGRITY_DSL

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### DSLActivator

          public DSLActivator()

  - ### Method Detail

    - #### start

          public void start​(org.osgi.framework.BundleContext context)
                     throws Exception

      Specified by:
        `start` in interface `org.osgi.framework.BundleActivator`
      Overrides:
        `start` in class `org.eclipse.ui.plugin.AbstractUIPlugin`
      Throws:
        `Exception`

    - #### stop

          public void stop​(org.osgi.framework.BundleContext context)
                    throws Exception

      Specified by:
        `stop` in interface `org.osgi.framework.BundleActivator`
      Overrides:
        `stop` in class `org.eclipse.ui.plugin.AbstractUIPlugin`
      Throws:
        `Exception`

    - #### getInstance

          public static DSLActivator getInstance()

    - #### getInjector

          public com.google.inject.Injector getInjector​(String language)

    - #### createInjector

          protected com.google.inject.Injector createInjector​(String language)

    - #### getRuntimeModule

          protected com.google.inject.Module getRuntimeModule​(String grammar)

    - #### getUiModule

          protected com.google.inject.Module getUiModule​(String grammar)

    - #### getSharedStateModule

          protected com.google.inject.Module getSharedStateModule()